curl --silent --show-error --fail-with-body --request GET \
--url 'https://api.edi.stateset.com/v1/connections/sync/deliveries/{event_id}/outcome' \
--header "Authorization: Bearer $EDI_API_TOKEN"
{
"data": {
"checked_at": "2026-08-31T14:22:05Z",
"connection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"environment": "string",
"error_code": "string",
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"observation_status": "string",
"observed_at": "2026-08-31T14:22:05Z",
"order": {
"connectors": [
{
"connector": "string",
"last_attempt_at": "2026-08-31T14:22:05Z",
"last_synced_at": "2026-08-31T14:22:05Z",
"needs_attention": true,
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"movements": [
{
"event_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"occurred_at": "2026-08-31T14:22:05Z",
"source": "string",
"stage": "string",
"status": "pending"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_number": "ORD-10042",
"order_status": "string"
},
"sync_action": "string",
"sync_status": "string"
},
"success": true
}
Inspect the original Sync outcome
Original Sync order observation; not proof that this EDI change completed in an ERP
GET
/
v1
/
connections
/
sync
/
deliveries
/
{event_id}
/
outcome
curl --silent --show-error --fail-with-body --request GET \
--url 'https://api.edi.stateset.com/v1/connections/sync/deliveries/{event_id}/outcome' \
--header "Authorization: Bearer $EDI_API_TOKEN"
{
"data": {
"checked_at": "2026-08-31T14:22:05Z",
"connection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"environment": "string",
"error_code": "string",
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"observation_status": "string",
"observed_at": "2026-08-31T14:22:05Z",
"order": {
"connectors": [
{
"connector": "string",
"last_attempt_at": "2026-08-31T14:22:05Z",
"last_synced_at": "2026-08-31T14:22:05Z",
"needs_attention": true,
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"movements": [
{
"event_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"occurred_at": "2026-08-31T14:22:05Z",
"source": "string",
"stage": "string",
"status": "pending"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_number": "ORD-10042",
"order_status": "string"
},
"sync_action": "string",
"sync_status": "string"
},
"success": true
}
Path parameters
string
required
Accepted EDI event identifier
Response
SyncOutcomeResponse
SyncOutcomeView
required
Show SyncOutcomeView
Show SyncOutcomeView
string,null (date-time)
string,null
string
required
string,null
string
required
string
required
string
required
current, stale, checking, unavailable, or awaiting_sync.
string,null (date-time)
OrderObservation,null
string,null
string
required
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Original Sync order observation; not proof that this EDI change completed in an ERP |
404 | No delivery in this workspace |
Using this contract
Read the source OpenAPI document for declared schemas and alternatives. This page also includes documented corrections from the spec overlays. Example IDs and values are illustrative; replace them with records from your workspace.curl --silent --show-error --fail-with-body --request GET \
--url 'https://api.edi.stateset.com/v1/connections/sync/deliveries/{event_id}/outcome' \
--header "Authorization: Bearer $EDI_API_TOKEN"
{
"data": {
"checked_at": "2026-08-31T14:22:05Z",
"connection_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"environment": "string",
"error_code": "string",
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"observation_status": "string",
"observed_at": "2026-08-31T14:22:05Z",
"order": {
"connectors": [
{
"connector": "string",
"last_attempt_at": "2026-08-31T14:22:05Z",
"last_synced_at": "2026-08-31T14:22:05Z",
"needs_attention": true,
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"movements": [
{
"event_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"occurred_at": "2026-08-31T14:22:05Z",
"source": "string",
"stage": "string",
"status": "pending"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_number": "ORD-10042",
"order_status": "string"
},
"sync_action": "string",
"sync_status": "string"
},
"success": true
}
Last modified on October 20, 2026